%define upstream_name    Git-Version-Compare
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Functions to compare Git versions
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
the Git::Version::Compare manpage contains a selection of subroutines that
make dealing with Git-related things (like versions) a little bit easier.

The strings to compare can be version numbers, tags from 'git.git' or the
output of 'git version' or 'git describe'.

These routines collect the knowledge about Git versions that was
accumulated while developing the Git::Repository manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat May 28 2016 shlomif <shlomif> 1.4.0-1.mga6
+ Revision: 1019204
- New version 1.004

* Sun May 08 2016 shlomif <shlomif> 1.3.0-1.mga6
+ Revision: 1010667
- update to 1.003

* Thu Apr 28 2016 shlomif <shlomif> 1.2.0-1.mga6
+ Revision: 1007250
- update to 1.002

* Fri Apr 15 2016 shlomif <shlomif> 1.1.0-1.mga6
+ Revision: 1001977
- imported package perl-Git-Version-Compare

